Package org.pushingpixels.flamingo.api.bcb

# Class BreadcrumbBarException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.pushingpixels.flamingo.api.bcb.BreadcrumbBarException

All Implemented Interfaces:
  `Serializable`

public class BreadcrumbBarException extends RuntimeException
Generic runtime exception for the breadcrumb bar.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BreadcrumbBarException(Throwable cause)`
Creates the new exception instance.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BreadcrumbBarException

public BreadcrumbBarException(Throwable cause)
Creates the new exception instance.

Parameters:
  `cause` - Exception cause.